Subject: [v6ops] [Technical Errata Reported] RFC6555 (6745)

From: RFC Errata System <[email-masked]>
Date: Fri, 19 Nov 2021 12:07:28 -0800 (PST)

The following errata report has been submitted for RFC6555,
"Happy Eyeballs: Success with Dual-Stack Hosts".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6745

--------------------------------------
Type: Technical
Reported by: Matthew Menke <[email-masked]>

Section: 5.6

Original Text
-------------
   Web browsers implement a same-origin policy [RFC6454] that causes
   subsequent connections to the same hostname to go to the same IPv4
   (or IPv6) address as the previous successful connection.  This is
   done to prevent certain types of attacks.

   The same-origin policy harms user-visible responsiveness if a new
   connection fails (e.g., due to a transient event such as router
   failure or load-balancer failure).  While it is tempting to use Happy
   Eyeballs to maintain responsiveness, web browsers MUST NOT change
   their same-origin policy because of Happy Eyeballs, as that would
   create an additional security exposure.

Corrected Text
--------------
<This section should be removed>

Notes
-----
This entire section should be deleted.  Same-Origin policy has nothing to do with what IP connections to the same hostname go to.  Two connections to the same host are same origin even if they're using different IPs.  Happy Eyeballs is free to use whatever IP for a hostname it wants for an origin, and Same-Origin policy will not be violated.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6555 (draft-ietf-v6ops-happy-eyeballs-07)
--------------------------------------
Title               : Happy Eyeballs: Success with Dual-Stack Hosts
Publication Date    : April 2012
Author(s)           : D. Wing, A. Yourtchenko
Category            : PROPOSED STANDARD
Source              : IPv6 Operations
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Erik Kline <[email-masked]>
Date: Mon, 22 Nov 2021 17:35:37 -0800

RFC 6555 was obsoleted by RFC 8305.  The latter contains no mention of
same-origin policy.

On Fri, Nov 19, 2021 at 12:08 PM RFC Errata System <
[email-masked]> wrote:

> This entire section should be deleted.  Same-Origin policy has nothing to
> do with what IP connections to the same hostname go to.  Two connections to
> the same host are same origin even if they're using different IPs.  Happy
> Eyeballs is free to use whatever IP for a hostname it wants for an origin,
> and Same-Origin policy will not be violated.
>
> Instructions:
> -------------
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>